Oracle to PostgreSQL Migration Guide
===

Preface
---

**Purpose of This Document**

This document explains the actions required for migrating an Oracle database to PostgreSQL and provides notes on migration.

**Intended Readers**

This guide is intended for persons engaged in migrating an Oracle database to PostgreSQL. 
The reader is assumed to have general knowledge of the following:

 - PostgreSQL
 - Oracle database
 - SQL
 - Linux


**Structure of This Document**

The organization and contents of this guide are as follows:


**Chapter 1 Pre-Migration Configuration**

Explains the PostgreSQL settings that must be configured before migration.


**Chapter 2 Migrating Syntax Elements**

Explains how to migrate SQL syntax elements.


**Chapter 3 Migrating Functions**

Explains how to migrate SQL functions.


**Chapter 4 Migrating SQL Statements**

Explains how to migrate SQL statements.


**Chapter 5 Migrating PL/SQL**

Explains how to migrate PL/SQL.


**Chapter 6 Notes on Using orafce**

Provides notes on using Oracle database compatibility features added by orafce.


**Appendix A Correspondence with Oracle Databases**

Explains the correspondence between PostgreSQL and Oracle databases.


**Version**

Edition 1.0: February 2017

